import { Account, AccountClass, JazzContextManager, KvStore, SyncConfig } from "jazz-tools";
import type { JazzContextManagerAuthProps } from "jazz-tools";
import { BaseReactNativeContextOptions } from "./platform.js";
export type JazzContextManagerProps<Acc extends Account> = {
    guestMode?: boolean;
    sync: SyncConfig;
    onLogOut?: () => void;
    storage?: BaseReactNativeContextOptions["storage"];
    AccountSchema?: AccountClass<Acc>;
    defaultProfileName?: string;
    onAnonymousAccountDiscarded?: (anonymousAccount: Acc) => Promise<void>;
    CryptoProvider?: BaseReactNativeContextOptions["CryptoProvider"];
};
export declare class ReactNativeContextManager<Acc extends Account> extends JazzContextManager<Acc, JazzContextManagerProps<Acc>> {
    getNewContext(props: JazzContextManagerProps<Acc>, authProps?: JazzContextManagerAuthProps): Promise<{
        guest: import("jazz-tools").AnonymousJazzAgent;
        node: import("cojson").LocalNode;
        done: () => void;
        logOut: () => Promise<void>;
    } | {
        me: Acc;
        node: import("cojson").LocalNode;
        authSecretStorage: import("jazz-tools").AuthSecretStorage;
        done: () => void;
        logOut: () => Promise<void>;
    }>;
    getKvStore(): KvStore;
    propsChanged(props: JazzContextManagerProps<Acc>): boolean;
}
//# sourceMappingURL=ReactNativeContextManager.d.ts.map