import { JazzContextManager, } from "jazz-tools";
import { createJazzReactNativeContext, createJazzReactNativeGuestContext, } from "./platform.js";
import { KvStoreContext } from "./storage/kv-store-context.js";
export class ReactNativeContextManager extends JazzContextManager {
    async getNewContext(props, authProps) {
        if (props.guestMode) {
            return createJazzReactNativeGuestContext({
                sync: props.sync,
                storage: props.storage,
                authSecretStorage: this.authSecretStorage,
                CryptoProvider: props.CryptoProvider,
            });
        }
        else {
            return createJazzReactNativeContext({
                sync: props.sync,
                storage: props.storage,
                AccountSchema: props.AccountSchema,
                credentials: authProps?.credentials,
                newAccountProps: authProps?.newAccountProps,
                defaultProfileName: props.defaultProfileName,
                authSecretStorage: this.authSecretStorage,
                CryptoProvider: props.CryptoProvider,
            });
        }
    }
    getKvStore() {
        return KvStoreContext.getInstance().getStorage();
    }
    propsChanged(props) {
        if (!this.props) {
            return true;
        }
        return (this.props.sync.when !== props.sync.when ||
            this.props.sync.peer !== props.sync.peer ||
            this.props.guestMode !== props.guestMode);
    }
}
//# sourceMappingURL=ReactNativeContextManager.js.map