export class KvStoreContext {
    static instance;
    storageInstance = null;
    constructor() { }
    static getInstance() {
        if (!KvStoreContext.instance) {
            KvStoreContext.instance = new KvStoreContext();
        }
        return KvStoreContext.instance;
    }
    isInitialized() {
        return this.storageInstance !== null;
    }
    initialize(store) {
        if (!this.storageInstance) {
            this.storageInstance = store;
        }
    }
    getStorage() {
        if (!this.storageInstance) {
            throw new Error("Storage instance is not initialized.");
        }
        return this.storageInstance;
    }
}
export default KvStoreContext;
//# sourceMappingURL=kv-store-context.js.map